Summary:	bubblewrap - container setup utility
Summary(pl.UTF-8):	bubblewrap - narzędzie do tworzenia kontenerów
Name:		bubblewrap
Version:	0.8.0
Release:	1
License:	LGPL v2+
Group:		Applications/System
#Source0Download: https://github.com/containers/bubblewrap/releases
Source0:	https://github.com/containers/bubblewrap/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	fc0e14bc26df76225e8f8cc2df9fb657
URL:		https://github.com/containers/bubblewrap
BuildRequires:	libcap-devel
BuildRequires:	libselinux-devel >= 2.3
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.719
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libselinux >= 2.3
Requires:	uname(release) >= 3.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bwrap is a privileged helper for container setup.

It works by creating a new, completely empty, filesystem namespace
where the root is on a tmpfs that is invisible from the host, and
which will be automatically cleaned up when the last process exists.
You can then use commandline options to construct the root filesystem
and process environment for the command to run in the namespace.

%description -l pl.UTF-8
bwrap to uprzywilejowany program pomocniczy do tworzenia kontenerów.

Działa tworząc nową, całkowicie pustą przestrzeń nazw systemu plików,
gdzie katalog główny jest na tmpfs-ie całkowicie niewidocznym z hosta,
czyszczonym automatycznie po zakończeniu ostatniego procesu. Do
tworzenia głównego systemu plików i środowiska procesów do
uruchamiania poleceń w środowisku można używać opcji linii poleceń.

%package -n bash-completion-bubblewrap
Summary:	Bash completion for bwrap command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia bwrap
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-bubblewrap
Bash completion for bwrap command.

%description -n bash-completion-bubblewrap -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia bwrap.

%package -n zsh-completion-bubblewrap
Summary:	ZSH completion for bwrap command
Summary(pl.UTF-8):	Dopełnianie parametrów polecenia bwrap dla ZSH
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh-completions
BuildArch:	noarch

%description -n zsh-completion-bubblewrap
ZSH completion for bwrap command.

%description -n zsh-completion-bubblewrap -l pl.UTF-8
Dopełnianie parametrów polecenia bwrap dla ZSH.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--with-bash-completion-dir=%{bash_compdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/bwrap
%{_mandir}/man1/bwrap.1*

%files -n bash-completion-bubblewrap
%defattr(644,root,root,755)
%{bash_compdir}/bwrap

%files -n zsh-completion-bubblewrap
%defattr(644,root,root,755)
%{zsh_compdir}/_bwrap
%changelog
* Sat Mar 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bubblewrap.git;a=log;h=master

* Sat Mar 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 548f54c
- updated to 0.8.0

* Sun Oct 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 4770d81
- updated to 0.6.2

* Sat Apr 02 2022 Jakub Bogusz <qboosh@pld-linux.org> ecb4727
- updated to 0.6.1

* Sat Sep 18 2021 Jakub Bogusz <qboosh@pld-linux.org> ee0c3a7
- updated to 0.5.0
- added zsh-completion, made bash-completion noarch

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> b568036
- updated to 0.4.1

* Sun Mar 01 2020 Jakub Bogusz <qboosh@pld-linux.org> db2fc60
- updated to 0.4.0

* Sat May 25 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 0ef95fc
- Updated to 0.3.3

* Sat Jun 03 2017 Jakub Bogusz <qboosh@pld-linux.org> a3520be
- updated to 0.1.8

* Fri Dec 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 71a6ae9
- release 2

* Fri Dec 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 7d2e9ba
- requires Linux 3.5 (PR_GET_NO_NEW_PRIVS)

* Fri Dec 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 59e0aef
- new

